org.apache.cassandra.cql3.statements

## Interface Restriction.IN

All Superinterfaces:
  Restriction

All Known Implementing Classes:
  MultiColumnRestriction.InWithMarker, MultiColumnRestriction.InWithValues, SingleColumnRestriction.InWithMarker, SingleColumnRestriction.InWithValues

Enclosing interface:
  Restriction

    public static interface Restriction.IN
    extends Restriction

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Restriction

`Restriction.EQ, Restriction.IN, Restriction.Slice`

### Method Summary

Methods
`boolean` `canHaveOnlyOneValue()`

### Methods inherited from interface org.apache.cassandra.cql3.statements.Restriction

`isContains, isEQ, isIN, isMultiColumn, isOnToken, isSlice, values`

### Method Detail

#### canHaveOnlyOneValue

    boolean canHaveOnlyOneValue()